=== debian/changelog ===
phast (1.4+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #875555)

 -- Andreas Tille <tille@debian.org>  Tue, 12 Sep 2017 10:11:38 +0200
