=== debian/control ===
Source: phast
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 10),
               liblapack-dev,
               libblas-dev,
               libtmglib-dev,
               libpcre3-dev,
               help2man
Standards-Version: 4.1.0
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/phast.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/phast.git
Homepage: http://compgen.cshl/edu/phast

Package: phast
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: phylogenetic analysis with space/time models
 PHAST is a software package for comparative and evolutionary genomics.
 It consists of about half a dozen major programs, plus more than a dozen
 utilities for manipulating sequence alignments, phylogenetic trees, and
 genomic annotations. For the most part, PHAST focuses on two kinds of
 applications: the identification of novel functional elements, including
 protein-coding exons and evolutionarily conserved sequences; and
 statistical phylogenetic modeling, including estimation of model
 parameters, detection of signatures of selection, and reconstruction of
 ancestral sequences.
 .
 PHAST does not support phylogeny reconstruction or sequence alignment,
 and it is designed for use with DNA sequences only (see Comparison).
