## phast 1.5%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -10,3 +10,8 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	cd src && make clean
+
+override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	cd test && PATH=$(CURDIR)/bin:$(PATH) make msa_view
+endif
