=== debian/changelog ===
phast (1.5+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Add patch to fix tests on arm64 (Closes: #911983)

 -- Nilesh Patra <npatra974@gmail.com>  Sat, 03 Oct 2020 12:51:30 +0530

phast (1.5+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Fix homepage
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * Run part or the test suite

 -- Andreas Tille <tille@debian.org>  Fri, 19 Oct 2018 09:10:34 +0200
