=== debian/control ===
--- 
+++ 
@@ -3,16 +3,17 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 13),
                liblapack-dev,
                libblas-dev,
                libtmglib-dev,
                libpcre3-dev,
                help2man
-Standards-Version: 4.1.0
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/phast.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/phast.git
-Homepage: http://compgen.cshl/edu/phast
+Standards-Version: 4.5.0
+Vcs-Browser: https://salsa.debian.org/med-team/phast
+Vcs-Git: https://salsa.debian.org/med-team/phast.git
+Homepage: http://compgen.cshl.edu/phast/
+Rules-Requires-Root: no
 
 Package: phast
 Architecture: any
