## phast 1.6%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               liblapack-dev,
-               libblas-dev,
+               liblapack-dev | liblapack.so,
+               libblas-dev | libblas.so,
                libtmglib-dev,
-               libpcre3-dev,
+               libpcre2-dev,
                help2man
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/phast
 Vcs-Git: https://salsa.debian.org/med-team/phast.git
 Homepage: http://compgen.cshl.edu/phast/
