=== debian/changelog ===
phast (1.6+dfsg-3) unstable; urgency=medium

  * Port to pcre2
    Closes: #1000000, #1000163

 -- Andreas Tille <tille@debian.org>  Fri, 19 Nov 2021 13:17:54 +0100

phast (1.6+dfsg-2) unstable; urgency=medium

  * Build-Depends: s/libpcre3-dev/libpcre2-dev/
    Closes: #1000000
  * Add autopkgtest

 -- Andreas Tille <tille@debian.org>  Thu, 18 Nov 2021 14:52:47 +0100

phast (1.6+dfsg-1) unstable; urgency=medium

  * Fix watchfile to detect new versions on github (routine-update)
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * watch file standard 4 (routine-update)
  * Build-Depends: libf2c2-dev, libatlas-base-dev

 -- Andreas Tille <tille@debian.org>  Mon, 30 Aug 2021 21:53:58 +0200
