=== debian/control ===
--- 
+++ 
@@ -4,12 +4,14 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               liblapack-dev | liblapack.so,
-               libblas-dev | libblas.so,
+               liblapack-dev,
+               libblas-dev,
                libtmglib-dev,
                libpcre2-dev,
+               libf2c2-dev,
+               libatlas-base-dev,
                help2man
-Standards-Version: 4.6.2
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/phast
 Vcs-Git: https://salsa.debian.org/med-team/phast.git
 Homepage: http://compgen.cshl.edu/phast/
