=== debian/rules ===
--- 
+++ 
@@ -15,3 +15,7 @@
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	cd test && PATH=$(CURDIR)/bin:$(PATH) make msa_view
 endif
+
+override_dh_installexamples:
+	dh_installexamples
+	find debian/*/usr/share/doc/*/examples -type f -size +1k -exec xz \{\} \;
