## phast 1.7%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: phast
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Andreas Tille <tille@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>,
+           Étienne Mollier <emollier@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               liblapack-dev,
-               libblas-dev,
+               liblapack-dev | liblapack.so,
+               libblas-dev | libblas.so,
+               liblapacke-dev,
                libtmglib-dev,
                libpcre2-dev,
-               libf2c2-dev,
-               libatlas-base-dev,
                help2man
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/phast
 Vcs-Git: https://salsa.debian.org/med-team/phast.git
 Homepage: http://compgen.cshl.edu/phast/
