=== debian/changelog ===
phast (1.7+dfsg-3) unstable; urgency=medium

  * Team Upload.
  * Fixup FTBFS with gcc-15 (Closes: #1097575)

 -- Nilesh Patra <nilesh@debian.org>  Sat, 20 Sep 2025 03:01:50 +0530

phast (1.7+dfsg-2) unstable; urgency=medium

  * d/rules: use $(MAKE) to avoid interference with the jobserver.
  * make.patch: new: fix build parallelism issues.
    Several makefiles collide on editing the libphast.a, so this patch
    blocks the parallelism on that target. (Closes: #1091563)
  * gcc-14.patch: declare forwarding unneeded.
  * d/patches/*: normalize the last-update timestamp.
  * hardening.patch: add support for CPPFLAGS.
    This fixes remaining issues left in binaries hardening.

 -- Étienne Mollier <emollier@debian.org>  Sun, 05 Jan 2025 21:16:07 +0100

phast (1.7+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Remove trailing whitespace in debian/changelog (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 06 Dec 2024 21:33:23 +0100

phast (1.6+dfsg-6) unstable; urgency=medium

  * gcc-14.patch: fix build failure with gcc 14. (Closes: #1075383)
  * d/control: add myself to uploaders.
  * d/control: declare compliance to standards version 4.7.0.
  * d/p/clapack.patch: convert e acute to UTF-8.

 -- Étienne Mollier <emollier@debian.org>  Wed, 31 Jul 2024 22:24:23 +0200

phast (1.6+dfsg-5) unstable; urgency=medium

  * Team Upload.
  * Add patch to fix FTBFS due to -Werror-implicit-function-declaration
    (Closes: #1066451)
  * Added B-D on lapacke-dev for porting functions to lapack equivalents

 -- Nilesh Patra <nilesh@iki.fi>  Tue, 26 Mar 2024 15:19:11 +0530

phast (1.6+dfsg-4) unstable; urgency=medium

  [ Andreas Tille ]
  * s/libatlas-base-dev/liblapacke-dev/ in Build-Depends to use LAPACKE
    instead of clapack
  * Provide alternative Build-Depends to liblapack-dev and libblas-dev
  * Standards-Version: 4.6.2 (routine-update)
  * Upstream email removed from d/copyright since its bouncing

  [ Sébastien Villemot ]
  * Complete migration away from ATLAS
    Closes: #1056681

 -- Andreas Tille <tille@debian.org>  Wed, 29 Nov 2023 10:25:18 +0100
