=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	cd src && $(MAKE) clean

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	cd test && PATH=$(CURDIR)/bin:$(PATH) $(MAKE) msa_view
endif

override_dh_installexamples:
	dh_installexamples
	find debian/*/usr/share/doc/*/examples -type f -size +1k -exec xz \{\} \;
