## phast 1.8%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -11,11 +11,10 @@
                libtmglib-dev,
                libpcre2-dev,
                help2man
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/phast
 Vcs-Git: https://salsa.debian.org/med-team/phast.git
 Homepage: http://compgen.cshl.edu/phast/
-Rules-Requires-Root: no
 
 Package: phast
 Architecture: any
