=== debian/changelog ===
phast (1.8+dfsg-1) unstable; urgency=medium

  * New upstream version 1.8+dfsg
  * d/control: declare compliance to standards version 4.7.2.
  * d/control: drop redundant Rules-Requires-Root: no.
  * d/rules: slight readability improvements.
  * d/watch convert to v5 Github template.

 -- Étienne Mollier <emollier@debian.org>  Sat, 15 Nov 2025 10:32:38 +0100
