=== debian/watch ===
Version: 5

Template: Github
Owner: CshlSiepelLab
Project: phast
Repack: yes
Repacksuffix: +dfsg
Dversionmangle: auto
Compression: xz
